The **Cut-off Date** project is designed to implement a site-wide, configurable threshold for date and time settings. This threshold value acts as a global configuration that can be applied across different parts of the site. It serves as the primary mechanism for establishing cut-off points for content display, user interactions, and other time-dependent processes.

## Purpose

The Cut-off Date is a dynamic setting that allows site administrators to define a singular, universally applicable timestamp which determines the point at which certain content or tasks are considered expired, restricted, or no longer relevant. The goal is to standardize time-sensitive activities and streamline the management of content across the platform.

## Features

- simple date-time configuration option
- in code, the cut-off date value is available as a timestamp through configuration,
- in UI the cut-off date value is available as a set of date format tokens,
- cron-based sliding cut-off date option: simply set relative time value, such as "-4 years" to get the date time value automatically adjusted,
- cut-off banner options: shows configurable banner on selected content types.

## Installation

Simply follow standard module installation procedures. Configuration page is available under `/admin/config/content/cutoff-date`
Recommended modules/libraries

- [Tokens in Views Filter Criteria](https://www.drupal.org/project/token_views_filter)