<?php

/**
 * @file
 * Cutoff Date tokens.
 */

use Drupal\Core\Render\BubbleableMetadata;

/**
 * Implements hook_token_info().
 */
function cutoff_date_token_info() {
  $types = [];
  $tokens = [];

  $types['cutoff_date'] = [
    'name' => t('Cutoff Date'),
    'description' => t('Tokens related to Cutoff Date.'),
  ];
  $tokens['cutoff_date']['date'] = [
    'name' => t('Cutoff date'),
    'description' => t('Cutoff date timestamp'),
    'type' => 'date',
  ];

  return [
    'types' => $types,
    'tokens' => $tokens,
  ];
}

/**
 * Implements hook_tokens().
 */
function cutoff_date_tokens($type, $tokens, array $data, array $options, BubbleableMetadata $bubbleable_metadata) {
  $replacements = [];
  if ($type === 'cutoff_date') {
    foreach ($tokens as $name => $original) {
      if ($name === 'date') {
        $config = \Drupal::config('cutoff_date.settings');
        $bubbleable_metadata->addCacheableDependency($config);

        $ts = $config->get('timestamp') ?? \Drupal::time()->getRequestTime();
        $replacements[$original] = $ts;

        // Chained date tokens.
        $chain_tokens = \Drupal::token()->findWithPrefix($tokens, $name);
        $replacements += \Drupal::token()->generate('date', $chain_tokens, ['date' => $ts], $options, $bubbleable_metadata);
      }
    }
  }
  return $replacements;
}
